%global momorel 3
%global src_ver 1.2

Name:           gonzui
Version:        %{src_ver}
Release:        %{momorel}m
Summary:        Source code search engine 
Group:          Development/Tools
License:        GPL
URL:            http://gonzui.sourceforge.net/
%NoSource 0      http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 8d642183ea397860ef5657a77fcaa787
Source1:        gonzui.init
Source2:        gonzuirc
Source3:        gonzui.logrotate
Patch1:         gonzui-1.2-multi_checkout.diff
Patch2:         gonzui-1.2-name_tagging.diff 
Patch3:         gonzui-1.2-svn_ssh.diff 
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  ruby-devel ruby-bdb
Requires:       ruby-bdb

#Requires(pre):     rpm-helper
#Requires(post):    rpm-helper
#Requires(postun):  rpm-helper
#Requires(preun):   rpm-helper


%description
Gonzui is a source code search engine for accelerating open source software 
development. In the open source software development, programmers frequently 
refer to source codes written by others.
 
Our goal is to help programmers develop programs effectively by creating a 
source code search engine that covers vast quantities of open source codes 
available on the Internet.

%prep

%setup -q
# more than one cvs
%patch1
# --name
%patch2
# svn+ssh support
%patch3

%build
%configure --with-rubydir=%{ruby_libdir} --with-rubyarchdir=%{ruby_archdir}

%make

%check
#TODO

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_initrddir}
cp %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
cp %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}rc
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
cp %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

mkdir -p %{buildroot}%{_localstatedir}/%{name}
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog NEWS
%config(noreplace)    %{_sysconfdir}/%{name}rc
%attr(0755,root,root) %{_initrddir}/%{name}
%{_datadir}/%{name}
%{_bindir}/%{name}-*

%exclude %dir %{ruby_archdir}
%{ruby_libdir}/*
%{_localstatedir}/lib/%{name}
%{_localstatedir}/log/%{name}

%config(noreplace) %{_sysconfdir}/%{name}rc*
%config(noreplace) %{_sysconfdir}/logrotate.d/*

%pre
/usr/sbin/userdel %{name}
/usr/sbin/useradd -M %{name} -d %{_datadir}/%{name} -r -s /bin/false 

%post
/sbin/chkconfig --add %{name}
/bin/chmod 0755 /var/lib/gonzui
/bin/touch /var/log/gonzui/gonzui.log
/bin/touch /var/log/gonzui/access.log

%preun
/sbin/chkconfig --del %{name}

%postun 
/usr/sbin/userdel %{name}  

%changelog
* Fri Jul 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-3m)
- create system account at %%pre

* Tue Jul 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-2m)
- do not start daemon at default

* Mon Jul 24 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2-1m)
- initial release to Momonga Linux
- spec and resource copied from mandriva and modified
- need to be superuser to import source files

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 1.2-2mdk
- do not own ruby libdir
- add a initscript, with a user
- add patch1, to have more than one cvs/svn repository
- add patch2, to have --name tagging
- add patch3, to add ssh:// for svn+ssh repository 
- add a logrotate file 

* Wed Nov 02 2005 Michael Scherer <misc@mandriva.org> 1.2-1mdk
- first package
